%define upstream_name	 Lingua-Stem-Snowball-Da
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Porters stemming algorithm for Denmark
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CI/CINE/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:	noarch
Requires:	locales-da

%{?perl_default_filter}

%description
The stem function takes a scalar as a parameter and stems the word according to
Martin Porters Danish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std
mv %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer.pl \
    %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-Da.pl

%files
%doc Changes README
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.10.0-9pclos2017
- rebuild against updates

